Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.testing
Annotation Type RequiresDialect

    @Target(value={METHOD,TYPE})
    @Retention(value=RUNTIME)
    public @interface RequiresDialect

Annotation used to indicate that a test should be run only when run against the indicated dialects.

Required Element Summary
`Class<? extends Dialect>[]` | `value` The dialects against which to run the test

Optional Element Summary
`String` | `comment` Comment describing the reason why the dialect is required.
`String` | `jiraKey` The key of a JIRA issue which relates this this restriction
`boolean` | `strictMatching` Used to indicate if the dialects should be matched strictly (classes equal) or non-strictly (instanceof).

Element Detail

### value

    public abstract Class<? extends Dialect>[] value

  The dialects against which to run the test

  Returns:
    The dialects

### strictMatching

    public abstract boolean strictMatching

  Used to indicate if the dialects should be matched strictly (classes equal) or non-strictly (instanceof).

  Returns:
    Should strict matching be used?
  Default:
    false

### comment

    public abstract String comment

  Comment describing the reason why the dialect is required.

  Returns:
    The comment
  Default:
    ""

### jiraKey

    public abstract String jiraKey

  The key of a JIRA issue which relates this this restriction

  Returns:
    The jira issue key
  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.